Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

use "tomcat7-maven-plugin" instead of "tomcat-maven-plugin" #17

Merged
merged 1 commit into from

2 participants

@hechaoyi

in tomcat6, Matrix variable will fail, such as "/data/matrixvars;foo=bar/simple" will resolve to controller "/simple"
in tomcat6, Async Requests Tab will fail, throw a "java.lang.UnsupportedOperationException: No async support in a pre-Servlet 3.0 runtime"

Changes to get issue #15 working for me.

@hechaoyi hechaoyi use "tomcat7-maven-plugin" instead of "tomcat-maven-plugin"
in tomcat6, Matrix variable will fail, such as "/data/matrixvars;foo=bar/simple" will resolve to controller "/simple"
in tomcat6, Async Requests Tab will fail, throw a "java.lang.UnsupportedOperationException: No async support in a pre-Servlet 3.0 runtime"
e43d972
@rstoyanchev rstoyanchev merged commit 4efe499 into spring-projects:master
@rstoyanchev
Collaborator

Thanks!

@hechaoyi hechaoyi deleted the hechaoyi:tomcat7-plugin branch
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Dec 31, 2012
  1. @hechaoyi

    use "tomcat7-maven-plugin" instead of "tomcat-maven-plugin"

    hechaoyi authored
    in tomcat6, Matrix variable will fail, such as "/data/matrixvars;foo=bar/simple" will resolve to controller "/simple"
    in tomcat6, Async Requests Tab will fail, throw a "java.lang.UnsupportedOperationException: No async support in a pre-Servlet 3.0 runtime"
This page is out of date. Refresh to see the latest.
Showing with 4 additions and 4 deletions.
  1. +1 −1  README.md
  2. +3 −3 pom.xml
View
2  README.md
@@ -31,7 +31,7 @@ To run the application:
From the command line with Maven:
$ cd spring-mvc-showcase
- $ mvn tomcat:run
+ $ mvn tomcat7:run
or
View
6 pom.xml
@@ -274,9 +274,9 @@
</configuration>
</plugin>
<plugin>
- <groupId>org.codehaus.mojo</groupId>
- <artifactId>tomcat-maven-plugin</artifactId>
- <version>1.1</version>
+ <groupId>org.apache.tomcat.maven</groupId>
+ <artifactId>tomcat7-maven-plugin</artifactId>
+ <version>2.0</version>
</plugin>
</plugins>
</build>
Something went wrong with that request. Please try again.